Class | Chef::Provider::RemoteDirectory
In: | lib/chef/provider/remote_directory.rb
Parent: | Chef::Provider::Directory

### Methods

action_create action_create_if_missing cookbook_file_resource create_cookbook_file directory_root_in_cookbook_cache ensure_directory_exists files_to_transfer purge_unmanaged_files resource_cookbook resource_for_directory

### Public Instance methods

action_create()
action_create_if_missing()

### Protected Instance methods

cookbook_file_resource(target_path, relative_source_path)
create_cookbook_file(cookbook_file_relative_path)
directory_root_in_cookbook_cache()
ensure_directory_exists(path)
files_to_transfer()
purge_unmanaged_files(unmanaged_files)
resource_cookbook()

Determine the cookbook to get the file from. If new resource sets an explicit cookbook, use it, otherwise fall back to the implicit cookbook i.e., the cookbook the resource was declared in.

resource_for_directory(path)

[Validate]